{
    "position": "top",
    "spacing": 4, 
    "margin": 5,
    "reload_style_on_change": true,
    "modules-left": [
        "custom/logo",
        "hyprland/workspaces",
        "hyprland/window"
    ],
    "modules-center": [
        "clock",
        "custom/media"
    ],
    "modules-right": [
        "tray", 
        "pulseaudio",
        "bluetooth",
	    "custom/notifications"
    ],

    "hyprland/workspaces": {
        "all-outputs": true,
        "format": "{icon}",
        "format-icons": {
            "urgent": "",
            "focused": "",
            "active": "",
            "default": ""
        },
        "persistent-workspaces": {
            "1": [],
            "2": []
        },

        "on-scroll-down": "hyprctl dispatch workspace e-1",
        "on-scroll-up": "hyprctl dispatch workspace e+1"
    },
    "bluetooth": {
	    "format": "",
        "format-on": "󰂯",
	    "format-connected": "󰂱",
	    "tooltip-format": "{controller_alias}{controller_address}\n\n{num_connections} connected",
	    "tooltip-format-connected": "{controller_alias}\t{controller_address}\n\n{num_connections} connected\n\n{device_enumerate}",
	    "tooltip-format-enumerate-connected": "{device_alias}\t{device_address}",
    	"tooltip-format-enumerate-connected-battery": "{device_alias}\t{device_address}\t{device_battery_percentage}%"
    },
    "keyboard-state": {
        "numlock": true,
        "capslock": true,
        "format": "{name} {icon}",
        "format-icons": {
            "locked": " ",
            "unlocked": " "
        }
    },
    "hyprland/window": {
        "format": "{class}",
        "show-empty": false,
        "icon": true,
        "rewrite": {
            "zen-alpha": "Zen Browser",
            "firefox": "Firefox",
            "kitty": "Kitty",
            "spotify": "Spotify",
            "(.*)spotube": "Spotube",
            "(.*)discord": "Discord",
            "(.*)vesktop": "Vesktop",
            "org.gnome.(.*)": "$1"
            
        },
        "escape": true
    },
    "custom/logo": {
        "format": "", // Change to desired logo
        "tooltip": false,
        "escape": true,
        "on-click": "wofi -s drun" // Change to desired action
    },
    "custom/notifications": {
    	"tooltip": false,
    	"format": "{icon}",
    	"format-icons": {
      		"notification": "󱅫",
      		"none": "󰂜",
      		"dnd-notification": "󱏩",
      		"dnd-none": "󰪓",
      		"inhibited-notification": "󱏩",
      		"inhibited-none": "󰪓",
      		"dnd-inhibited-notification": "󱏩",
      		"dnd-inhibited-none": "󰪓"
    	},
    	"return-type": "json",
    	"exec-if": "which swaync-client",
    	"exec": "swaync-client -swb",
    	"on-click": "swaync-client -t -sw",
    	"on-click-right": "swaync-client -d -sw",
    	"escape": true
    },
    "custom/control-center": {
        "format": "loading control center...",
        "return-type": "json",
        "exec": "sh $HOME/.config/waybar/modules/control-center.sh"
    }, 
    "idle_inhibitor": {
        "format": "{icon}",
        "format-icons": {
            "activated": "",
            "deactivated": ""
        }
    },
    "tray": {
        "icon-size": 16,
        "spacing": 12
    },
    "clock": {
        "timezone": "",
        "tooltip-format": "<big>{:%Y %B}</big>\n<tt>{calendar}</tt>",
    	"format": "{:L%a. %d, %H:%M}",
        "format-alt": "{:%Y-%m-%d}"
    },
    "cpu": {
        "format": " {usage}%",
        "tooltip": true,
        "escape": true
    },
    "memory": {
        "format": " {}%"
    },
    "temperature": {
        // "thermal-zone": 2,
        // "hwmon-path": "/sys/class/hwmon/hwmon2/temp1_input",
        "critical-threshold": 80,
        // "format-critical": "{temperatureC}°C {icon}",
        "format": "{icon} {temperatureC}°C",
        "format-icons": ["", "", ""]
    },
    "backlight": {
        // "device": "acpi_video1",
        "format": "{percent}% {icon}",
        "format-icons": ["", "", "", "", "", "", "", "", ""]
    },
    "battery": {
        "states": {
            "good": 95,
            "warning": 30,
            "critical": 15
        },
        "format": "{capacity}% {icon}",
        "format-charging": "{capacity}% ",
        "format-plugged": "{capacity}% ",
        "format-alt": "{time} {icon}",
        "format-good": "{capacity}% {icon}",
        "format-full": "",
        "format-icons": ["", "", "", "", ""]
    }, 
    "power-profiles-daemon": {
      "format": "{icon}",
      "tooltip-format": "Power profile: {profile}\nDriver: {driver}",
      "tooltip": true,
      "format-icons": {
        "default": "",
        "performance": "",
        "balanced": "",
        "power-saver": ""
      }
    },
    "network": {
        // "interface": "wlp2*", // (Optional) To force the use of this interface
        "format-wifi": "{essid} ({signalStrength}%) ",
        "format-ethernet": "{ipaddr}/{cidr} ",
        "tooltip-format": "{ifname} via {gwaddr} ",
        "format-linked": "{ifname} (No IP) ",
        "format-disconnected": "Disconnected ⚠",
        "format-alt": "{ifname}: {ipaddr}/{cidr}"
    },
    "pulseaudio": {
        "format": "{volume}% {icon} {format_source}",
        "format-bluetooth": "{volume}% {icon} {format_source}",
        "format-bluetooth-muted": " {icon}",
        "format-muted": " {format_source}",
        "format-source": "{icon} {volume}%",
        "format-icons": {
            "headphone": "",
            "hands-free": "",
            "headset": "", 
            "default": ["", "", ""]
        },
	    "exec-if": "which pavucontrol",
        "on-click": "pavucontrol"
    },
    "custom/media": {
        "format": "{icon} {}",
        "return-type": "json",
        "max-length": 50,
	    "escape": true,
        "format-icons": {
	        "firefox": "",
    	    "discord": "",
            "spotify": "",
            "spotube": " ",
            "default": "󰎇"
        }, 
        "on-scroll-down": "playerctl previous",
        "on-scroll-up": "playerctl next",
        "exec": "$HOME/.config/waybar/mediaplayer.py 2> /dev/null", // Script in resources folder
    	"on-click": "playerctl play-pause" // Change "spotify to your preferred player"
    }
}
